Skip to main content

Update Showcase Resource

API Description

Update a showcase resource by supplying the unique Apple-generated ID assigned to the partner's showcase, along with the showcase's description in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion.

note

A "live" showcase cannot be updated.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
showcaseId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcases/{showcaseId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "8c40872e-ddd4-11ec-802a-cf9cf38fe6fa"

Request Body

NameInput
$.id
REQUIRED
$.showcaseDetails
REQUIRED

showcaseDetails are updated in this scenario.

Example Request Body (raw JSON)
{
"id": "9467895078742654903",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918"
},
"creativeId": "9467895078742654987"
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 69cebeb8-654e-40be-bdfb-d4f2cfa9e372
content-type: application/json
etag: "01b32fca-ddd5-11ec-b980-3b362b75a5bc"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases/9467895078742654903

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.showcaseDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654903",
"createdDate": "2026-09-21T00:00:00.00Z",
"updatedDate": "2026-09-22T05:23:56.00Z",
"state": "SUBMITTED",
"etag": "01b32fca-ddd5-11ec-b980-3b362b75a5bc",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T00:00:00.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918"
},
"creativeId": "9467895078742654987"
},
"validationReports": []
}